<?php
/*
Plugin Name: Amministrazione Accessibile
Description: Abilita funzionalità extra del tema Amministrazione Accessibile
*/

if(! function_exists('get_aa_theme_option')) {
	/**
	 * Returns the theme option $name (if exists)
	 * @param string $name
	 * @return string|array
	 */
	function get_aa_theme_option ( $name ) {
		$tmp = get_option('amm-accessibile_theme_options');
		if(isset($tmp[$name]))
			return $tmp[$name];
		return '';
	}
}

// Carica shortcode
load_template(dirname(__FILE__).'/inc/shortcodes.php');
// Sostituisce lo shortcode del plugin "AVCP"
load_template(dirname(__FILE__).'/inc/avcp.php');
// Sostituisce lo shortcode del plugin "Albo Pretorio"
load_template(dirname(__FILE__).'/inc/albo-pretorio.php');
