<?php

// Load up our widgets
require 'widgets/search.php';
require 'widgets/menu.php';
require 'widgets/text.php';
require 'widgets/amm-digitale-box.php';
require 'widgets/pages.php';
require 'widgets/archives.php';
require 'widgets/meta.php';
require 'widgets/calendar.php';
require 'widgets/categories.php';
require 'widgets/social.php';
require 'widgets/links.php';
require 'widgets/amm-digitale-menu.php';

// Register our sidebars
if(!function_exists('aa_sidebars_init')) {
	
	function aa_sidebars_init() {

		register_widget( 'AA_Search_Widget' );
		register_widget( 'AA_Menu_Widget' );
		register_widget( 'AA_Text_Widget' );
		register_widget( 'AA_Amm_Digitale_Box_Widget' );
		register_widget( 'AA_Pages_Widget' );
		register_widget( 'AA_Archives_Widget' );
		register_widget( 'AA_Meta_Widget' );
		register_widget( 'AA_Calendar_Widget' );
		register_widget( 'AA_Categories_Widget' );
		register_widget( 'AA_Social_Links_Widget' );
		register_widget( 'AA_Links_Widget' );
		register_widget( 'AA_Amm_Digitale_Menu_Widget' );

		register_sidebar( array(
			'name' => __( 'Colonna sinistra', 'amm-accessibile' ),
			'id' => 'sidebar-sx',
			'before_widget' => '<div class="widget %2$s panel panel-default" id="%1$s">',
			'after_widget' => "</div>",
			'before_title' => '<div class="panel-heading"><h3 class="panel-title widgettitle">',
			'after_title' => '</h3></div>',
		) );

		register_sidebar( array(
			'name' => __( 'Colonna destra', 'amm-accessibile' ),
			'id' => 'sidebar-dx',
			'before_widget' => '<div class="widget %2$s panel panel-default" id="%1$s">',
			'after_widget' => "</div>",
			'before_title' => '<div class="panel-heading"><h3 class="panel-title widgettitle">',
			'after_title' => '</h3></div>',
		) );

	}

	add_action( 'widgets_init', 'aa_sidebars_init' );

}