<?php

class AA_Search_Widget extends WP_Widget_Search {

	public function __construct() {
		// widget actual processes
		WP_Widget::__construct(
	 		'search_widget', // Base ID
			'AA > Cerca', // Name
			array( 'description' => 'Modulo di ricerca | Amministrazione Accessibile' ) // Args
		);
	}

	public function widget( $args, $instance ) {
		// outputs the content of the widget
		$title = apply_filters( 'widget_title', $instance['title'] );

		echo $args['before_widget'];
		if ( ! empty( $title ) )
			echo $args['before_title'] . $title . $args['after_title'];	
		?>

		
		<div class="panel-body">
			<form method="get" class="search-form" action="<?php echo home_url( '/' ); ?>">
				<div class="input-group">
					<span class="sr-only">Ricerca nel sito:</span>
					<input type="text" class="form-control" value="<?php echo get_search_query(); ?>" name="s" />
					<span class="input-group-btn">
						<button class="btn btn-default" type="submit">
							<span class="hidden">Cerca</span>
							<i class="fa fa-search"></i>
						</button>
					</span>
				</div>
			</form>
		</div>

		<?php
		echo $args['after_widget'];
	}

}