'use strict';

(function($){ $(document).ready(function(){

	if($('#avcp_tbl').length) {
		var responsiveHelper = undefined;
		var breakpointDefinition = {
			large    : 9999,
			desktop  : 1200,
			tablet_h : 992,
			tablet_v : 768,
			phone    : 480
		};
		var tableElement = $('#avcp_tbl');

		tableElement.dataTable({
			autoWidth : false,
			preDrawCallback: function () {
				// Initialize the responsive datatables helper once.
				if (!responsiveHelper) {
				responsiveHelper = new ResponsiveDatatablesHelper(tableElement, breakpointDefinition);
				}
			},
			rowCallback    : function (nRow) {
				responsiveHelper.createExpandIcon(nRow);
			},
			drawCallback   : function (oSettings) {
				responsiveHelper.respond();
			},

			"oLanguage": {
				"sProcessing":   "Caricamento dati avcp...",
				"sLengthMenu":   "_MENU_ voci",
				"sZeroRecords":  "Nessun risultato trovato.",
				"sInfo":         "_START_-_END_ di _TOTAL_ voci",
				"sInfoEmpty":    "0 voci",
				"sInfoFiltered": "(filtrati da _MAX_ voci totali)",
				"sInfoPostFix":  "",
				"sSearch":       "Cerca: ",
				"sFirst":    "Inizio",
				"sPrevious": "Precedente",
				"sNext":     "Successivo",
				"sLast":     "Fine",
				"oPaginate": {
					"sFirst":    "<<",
					"sPrevious": "<",
					"sNext":     ">",
					"sLast":     ">>",
				},
			},

		});
	}

}); })(jQuery);