<?php
/**
 * The template for displaying Search Results pages
 *
 */

get_header(); ?>

<div class="row">
	<div id="archive-page" class="col-sm-12 col-md-6 col-md-push-3 entry-content">

			<?php if ( have_posts() ) : ?>
				<?php
					// Breadcrumbs
					aa_breadcrumbs();
				?>

				<a name="contenuto"></a>

				<h1 class="page-title"><?php printf( 'Risultati ricerca per: «%s»', get_search_query() ); ?></h1>

				<?php
					// Start the Loop.
					while ( have_posts() ) : the_post();

						/*
						 * Include the post format-specific template for the content. If you want to
						 * use this in a child theme, then include a file called called content-___.php
						 * (where ___ is the post format) and that will be used instead.
						 */
						get_template_part( 'content', get_post_format() );

					endwhile;
					// Previous/next post navigation.
					get_template_part('pagination');

				else :
					// If no content, include the "No posts found" template.
					get_template_part( 'content', 'none' );

				endif;
			?>

		</div><!-- #content -->
	<?php get_sidebar(); ?>
</div>

<?php get_footer(); ?>