<?php get_header(); ?>

<?php the_post(); ?>

<div class="row">
	<div id="post-<?php the_ID(); ?>" <?php post_class('col-sm-12 col-md-6 col-md-push-3'); ?>>

		<?php
			// Breadcrumbs
			aa_breadcrumbs();
		?>

		<a name="contenuto"></a>

		<?php if(is_sticky()): ?>
			<span class="featured-label label label-default">In evidenza</span>
		<?php endif; ?>
		
		<p class="meta meta-header">
			<?php // .post-date ?>
			<?php echo get_the_time(get_option('date_format')); ?>
			<?php comments_number( '', ' - 1 commento', ' - % commenti' ); ?> 
		</p>

		<h1 class="post-heading">
			<?php the_title(); ?>
		</h1>
		
		<div class="post-content">
			<?php the_content(''); ?>
		</div>
		<div class="allegati-content">
		<?php get_template_part('allegati'); ?>
		</div>

		<?php if ( get_theme_option('bio') && get_the_author_meta( 'description' ) ): ?>
			<div class="author-bio media">
				<div class="bio-avatar pull-left"><?php echo get_avatar(get_the_author_meta('user_email'), '100'); ?></div>
				<div class="media-body">
					<h4 class="bio-name media-heading"><?php the_author_posts_link(); ?></h4>
					<p class="bio-desc"><?php the_author_meta('description'); ?></p>
				</div>
			</div>
		<?php endif; ?>
 
		<?php if( get_the_tags() ): ?>
			<div class="tags">
				<?php the_tags('Tags: ', ' ', ''); ?>
			</div>
		<?php endif; ?>

		<p class="meta meta-footer">
			<?php printf('Pubblicato il %s da %s in %s', get_the_time(get_option('date_format')), return_the_author_posts_link(), return_the_category()); ?>
		</p>

		<?php
		// If comments are open or we have at least one comment,
		// load up the comment template.
		if ( comments_open() || get_comments_number() )
			comments_template();
		?>

	</div><!-- #post-<?php the_ID(); ?> -->

	<?php get_sidebar(); ?>
</div><!-- .row -->

<?php get_footer(); ?>