<?php if(class_exists('Attachments')): ?>
	<?php $attachments = new Attachments( 'aa_attachments' ); /* pass the instance name */ ?>
	<?php if( $attachments->exist() ) : ?>
		<div class="allegati-content">
			<h3><?php echo $attachments->total(); ?> allegat<?php echo $attachments->total()==1 ? 'o' : 'i'; ?>:</h3>
			<ul class="allegati media-list">
				<?php while( $attachments->get() ) : $mime = sanitize_title( $attachments->subtype() ); ?>
				<li class="media mime-<?php echo $mime; ?>" id="allegato-<?php echo $attachments->id(); ?>">
					<img class="pull-left icona-allegato" src="<?php echo get_template_directory_uri(); ?>/im/icone-allegati/att-<?php echo aa_tipo_allegato($mime); ?>.png" alt="icona allegato" />
					<div class="media-body">
						<a href="<?php echo $attachments->url() ?>"><?php echo trim($attachments->field( 'title' )); ?></a>
						<span class="badge"><?php echo $attachments->filesize(); ?></span>
						<?php if($attachments->field( 'caption' )): ?>
							<br /> <span> <?php echo $attachments->field( 'caption' ); ?> </span>
						<?php endif; ?>
					</div>
				</li>
				<?php endwhile; ?>
			</ul>
		</div>
	<?php endif; ?>
<?php endif; ?>