<?php
/**
 * The template for displaying a "No posts found" message
 */
?>


	<?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>
	
	<?php
		// Breadcrumbs
		aa_breadcrumbs();
	?>

	<a name="contenuto"></a>

		<h1 class="page-title"><?php printf( __( 'Pubblica il tuo primo articolo!', 'twentyfourteen' ), get_search_query() ); ?></h1>

		<div id="contenuto">
			<p><?php printf( __( 'Pronto per pubblicare il tuo primo articolo? <a href="%1$s">Inizia subito!</a>.', 'twentyfourteen' ), admin_url( 'post-new.php' ) ); ?></p>
		</div>

	<?php elseif ( is_search() ) : ?>

	<?php
		// Breadcrumbs
		aa_breadcrumbs();
	?>

	<a name="contenuto"></a>

		<h1 class="page-title"><?php printf( __( 'Risultati della ricerca: %s', 'twentyfourteen' ), get_search_query() ); ?></h1>
		
		<div id="contenuto">
			<p><?php _e( 'Spiacenti, ma la tua ricerca non ha prodotto alcun risultato. Prova di nuovo utilizzando parole chiave differenti.', 'twentyfourteen' ); ?></p>
			<?php get_search_form(); ?>
		</div>

	<?php else : ?>
	<?php
		// Breadcrumbs
		aa_breadcrumbs();
	?>

	<a name="contenuto"></a>

		<h1 class="page-title"><?php printf( __( 'Nessun contenuto', 'twentyfourteen' ), get_search_query() ); ?></h1>

		<div id="contenuto">
			<p><?php _e( 'A quanto pare ciò che stai cercando non esiste o è stato rimosso. Prova a ripartire dalla Home page o ad effettuare una ricerca utilizzando il modulo sottostante:', 'twentyfourteen' ); ?></p>
			<?php get_search_form(); ?>
		</div>

	<?php endif; ?>
