<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes('xhtml'); ?>>
<head>
	<meta http-equiv="content-type" content="text/xml; charset=<?php echo strtolower(get_bloginfo( 'charset' )); ?>" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<title><?php wp_title(''); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<?php if ( is_singular() ) wp_enqueue_script( "comment-reply" ); ?>
	<?php wp_head(); ?>
	<link href="//fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Lora:400,700,400italic,700italic" rel="stylesheet" type="text/css" />
	<!--[if lt IE 9]>
		<script src="<?php echo get_template_directory_uri(); ?>/js/respond/respond.min.js" type="text/javascript"></script>
		<link href="<?php echo get_template_directory_uri(); ?>/js/repond/respond-proxy.html" id="respond-proxy" rel="respond-proxy" />
		<link href="<?php echo set_url_scheme(get_template_directory_uri().'/js/repond/respond.proxy.gif', 'relative'); ?>" id="respond-redirect" rel="respond-redirect" />
		<script src="<?php echo set_url_scheme(get_template_directory_uri().'/js/repond/respond.proxy.js', 'relative'); ?>"></script>
	<![endif]-->
</head>

<body <?php body_class(); ?>>
	
	<div id="sr-menu" class="sr-only">
		<ul>
			<li><a href="#principale">Menù principale</a></li>
			<li><a href="#superiore">Menù superiore</a></li>
			<li><a href="#breadcrumb">Percorso di navigazione</a></li>
			<li><a href="#contenuto">Contenuto principale</a></li>
			<?php
				if(is_page()):
					$GLOBALS['menu_contestuale'] = new AA_Context($post->ID);
					if($GLOBALS['menu_contestuale']->ha_menu_contestuale()):
			?>
				<li><a href="#menu-contestuale">Menù contestuale</a></li>
			<?php endif; endif; ?>
			<li><a href="#sidebar-sx">Navigazione secondaria</a></li>
			<li><a href="#inferiore">Menù inferiore</a></li>
		</ul>
	</div>
	<div id="wrap" class="container">
		<hr class="sr-only" />
		<p class="sr-only">Menù superiore:</p>
		<?php
		wp_nav_menu(array(
			'menu'              => 'superiore',
			'theme_location'    => 'superiore',
			'container_id'      => 'superiore',
			'depth'             => 1,
			'container'         => 'div',
			'container_class'   => 'menu pull-right',
			'menu_class'        => 'list-inline',
			'fallback_cb'       => 'wp_bootstrap_navwalker_edited::fallback',
			'walker'            => new wp_bootstrap_navwalker_edited()
		));
		?>
		<div class="clearfix"></div>
		<hr class="sr-only" />
		<div id="testata">
			<?php if ( get_header_image() ) : ?>
				<img src="<?php header_image(); ?>" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="sfondo testata" />
			<?php endif; ?>
			<div id="blog-info">
				<div class="table-table">
					<div class="table-cell">
						<div class="title-group">
							<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
							<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
						</div>
					</div>
				</div>
			</div>
		</div>
		<hr class="sr-only" />
		<div class="navbar nav-aa">
			<p class="sr-only">Menù principale:</p>
			<?php
			wp_nav_menu(array(
				'menu'              => 'principale',
				'theme_location'    => 'principale',
				'container_id'      => 'principale',
				'depth'             => 1,
				'container'         => 'div',
				'container_class'   => '',
				'menu_class'        => 'nav',
				'fallback_cb'       => 'wp_bootstrap_navwalker_edited::fallback',
				'walker'            => new wp_bootstrap_navwalker_edited()
			));
			?>

		</div>
		<hr class="sr-only" />