<?php

$maincol                      = $col1;
$link_color                   = $maincol;
$link_hover_color             = darken($link_color, 15);
$darken10                     = darken($maincol, 10);
$btn_primary_bg               = $maincol;
$btn_primary_border           = darken($btn_primary_bg, 5);
$btn_primary_bg_hover         = darken($btn_primary_bg, 8);
$btn_primary_border_hover     = darken($btn_primary_border, 12);
$list_group_active_text_color = lighten($maincol, 40);

$style = <<<style

a { color: $link_color }
a:hover, a:focus { color: $link_hover_color }

.text-primary { color: $maincol }
a.text-primary:hover { color: $darken10 }

.btn-primary {
  background-color: $btn_primary_bg;
  border-color: $btn_primary_border;
}
.btn-primary:hover, .btn-primary:focus, .btn-primary:active, .btn-primary.active {
  background-color: $btn_primary_bg_hover;
  border-color: $btn_primary_border_hover;
}
.open .btn-primary.dropdown-toggle {
  background-color: $btn_primary_bg_hover;
  border-color: $btn_primary_border_hover;
}
.btn-primary.disabled, .btn-primary.disabled:hover, .btn-primary.disabled:focus, .btn-primary.disabled:active, .btn-primary.disabled.active, .btn-primary[disabled], .btn-primary[disabled]:hover, .btn-primary[disabled]:focus, .btn-primary[disabled]:active, .btn-primary[disabled].active, fieldset[disabled] .btn-primary, fieldset[disabled] .btn-primary:hover, fieldset[disabled] .btn-primary:focus, fieldset[disabled] .btn-primary:active, fieldset[disabled] .btn-primary.active {
  background-color: $btn_primary_bg;
  border-color: $btn_primary_border;
}
.btn-primary .badge { color: $btn_primary_bg }
.btn-link { color: $link_color }
.btn-link:hover, .btn-link:focus { color: $link_hover_color }

.dropdown-menu > .active > a, .dropdown-menu > .active > a:hover, .dropdown-menu > .active > a:focus {
  background-color: $maincol;
}

.nav .open > a, .nav .open > a:hover, .nav .open > a:focus {
  border-color: $maincol;
}
.nav-pills > li.active > a, .nav-pills > li.active > a:hover, .nav-pills > li.active > a:focus {
  background-color: $maincol;
}

.pagination > li > a,
.pagination > li > span {
  color: $maincol;
}
.pagination > li > a:hover, .pagination > li > a:focus,
.pagination > li > span:hover,
.pagination > li > span:focus {
  color: $link_hover_color;
}
.pagination > .active > a, .pagination > .active > a:hover, .pagination > .active > a:focus,
.pagination > .active > span,
.pagination > .active > span:hover,
.pagination > .active > span:focus {
  background-color: $maincol;
  border-color: $maincol;
}

.label-primary {
  background-color: $maincol;
}
.label-primary[href]:hover, .label-primary[href]:focus {
  background-color: $darken10;
}

a.list-group-item.active > .badge,
.nav-pills > .active > a > .badge {
  color: $maincol;
}

a.thumbnail:hover,
a.thumbnail:focus,
a.thumbnail.active {
  border-color: $maincol;
}

.progress-bar {
  background-color: $maincol;
}

a.list-group-item.active, a.list-group-item.active:hover, a.list-group-item.active:focus {
  background-color: $maincol;
  border-color: $maincol;
}

a.list-group-item.active .list-group-item-text, a.list-group-item.active:hover .list-group-item-text, a.list-group-item.active:focus .list-group-item-text {
  color: $list_group_active_text_color;
}

.panel-primary {
  border-color: $maincol;
}
.panel-primary > .panel-heading {
  color: white;
  background-color: $maincol;
  border-color: $maincol;
}
.panel-primary > .panel-heading + .panel-collapse .panel-body {
  border-top-color: $maincol;
}
.panel-primary > .panel-footer + .panel-collapse .panel-body {
  border-bottom-color: $maincol;
}

body {
  background-color: $maincol;
}

.nav-aa ul.nav {
  background: url('data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAAAAAAALAAAAAABAAEAAAICRAEAOw==') bottom repeat-x $maincol;
}
.nav-aa ul.nav > li > a {
  background-color: $maincol;
}
.nav-aa ul.nav > li > a:hover, .nav-aa ul.nav > li > a:focus {
  background-color: $darken10;
}
.nav-aa ul.nav > li.active > a,
.nav-aa ul.nav > li.active > a:hover,
.nav-aa ul.nav > li.active > a:focus {
  background-color: $darken10;
}

.panel-primary .list-group-item {
  border-color: $maincol;
}

.comment-list li.bypostauthor > .comment-body:after,
.comment-list li.comment-author-admin > .comment-body:after {
  background: $maincol;
}

#commentform input[type="text"]:focus,
#commentform input[type="url"]:focus,
#commentform input[type="password"]:focus,
#commentform input[type="email"]:focus,
#commentform textarea:focus {
  border-color: $maincol;
}

#commentform label .required {
  color: $maincol;
}

#commentform input[type="submit"],
#commentform button[type="submit"] {
  background: $maincol;
}

#commentform input[type="submit"]:hover,
#commentform button[type="submit"]:hover {
  background: $link_hover_color;
}

style;
