<?php

class AA_Menu_Widget extends WP_Nav_Menu_Widget {

	function __construct() {
		WP_Widget::__construct(
	 		'menu_widget', // Base ID
			'AA > Menù', // Name
			array( 'description' => 'Menù personalizzato | Amministrazione Accessibile' ) // Args
		);
	}

	function widget($args, $instance) {
		// Get menu
		$nav_menu = ! empty( $instance['nav_menu'] ) ? wp_get_nav_menu_object( $instance['nav_menu'] ) : false;

		if ( !$nav_menu )
			return;

		$instance['title'] = apply_filters( 'widget_title', empty( $instance['title'] ) ? '' : $instance['title'], $instance, $this->id_base );

		echo $args['before_widget'];

		if ( !empty($instance['title']) )
			echo $args['before_title'] . $instance['title'] . $args['after_title'];

		$menu = wp_nav_menu( array(
			'fallback_cb' => '',
			'menu' => $nav_menu,
			'container' => '',
			'menu_class' => 'list-group',
			'depth' => 1,
			'echo' => 0
		) );

		echo preg_replace('/([^\w-])menu-item([^\w-])/i', '$1list-group-item menu-item$2', $menu);

		echo $args['after_widget'];
	}

}